#170 Preferences: Error notifying a preference change listener

v0.3.0
closed-fixed
nobody
Core (65)
5
2005-07-12
2005-05-12
Manni
No

While trying to change an entry in the preferences
dialog (Window > Preferences > Perl EPIC > Editor), a
message box appears: "Error notifying a preference
change listener. Check the log for details."
Nevertheless the setting is changed as desired.

Env: Eclipse 3.1M6, Perl EPIC 0.3.0_20040711

The log entry follows:
Message: Problems occurred when invoking code from
plug-in: "org.eclipse.jface".

Exception Stack Trace:
java.lang.IllegalStateException
at
org.eclipse.jface.text.TextViewer.setHyperlinkPresenter(TextViewer.java:5196)
at
org.eclipse.jface.text.source.SourceViewer.configure(SourceViewer.java:353)
at
org.epic.perleditor.preferences.PerlEditorPreferencePage$9.propertyChange(PerlEditorPreferencePage.java:470)
at
org.eclipse.jface.preference.PreferenceStore$1.run(PreferenceStore.java:138)
at
org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:1021)
at org.eclipse.core.runtime.Platform.run(Platform.java:757)
at
org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:40)
at
org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:148)
at
org.eclipse.jface.preference.PreferenceStore.firePropertyChangeEvent(PreferenceStore.java:136)
at
org.eclipse.jface.preference.PreferenceStore.setValue(PreferenceStore.java:606)
at
org.epic.perleditor.preferences.OverlayPreferenceStore.setValue(OverlayPreferenceStore.java:450)
at
org.epic.perleditor.preferences.PerlEditorPreferencePage$1.widgetSelected(PerlEditorPreferencePage.java:218)
...
and 30 more lines

Session Data:
eclipse.buildId=I20050401-1645
java.version=1.5.0_02
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32,
NL=de_DE
Command-line arguments: -os win32 -ws win32 -arch x86

Discussion

  • LeO

    LeO - 2005-07-12
    • status: open --> closed-fixed
     
  • LeO

    LeO - 2005-07-12

    Logged In: YES
    user_id=703323

    I guess this is already solved in the current release.
    Please try 0.3.10 (or newer)

     

Log in to post a comment.